"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDebounce = useDebounce;
var _react = require("react");
function useDebounce(value, delay) {
  const [debouncedValue, setDebouncedValue] = (0, _react.useState)(value);
  (0, _react.useEffect)(() => {
    const timeoutId = setTimeout(() => setDebouncedValue(value), delay || 500);
    return () => {
      clearTimeout(timeoutId);
    };
  }, [value, delay]);
  return debouncedValue;
}
//# sourceMappingURL=useDebounce.js.map