"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateSessionIdAsync = exports.updateAsync = exports.getItemsAsync = exports.clearAsync = void 0;
var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const storageKey = '@react-native-code7-boteria-widget/session';
const getItemsAsync = async () => {
  const data = await _asyncStorage.default.getItem(storageKey);
  return data;
};
exports.getItemsAsync = getItemsAsync;
const updateSessionIdAsync = async sessionId => {
  try {
    const newData = {
      messages: [],
      sessionId
    };
    await _asyncStorage.default.setItem(storageKey, JSON.stringify(newData));
  } catch (error) {
    console.log('asyncStorage.updateSessionIdAsync Error setting sessionId');
  }
};
exports.updateSessionIdAsync = updateSessionIdAsync;
const updateAsync = async data => {
  await _asyncStorage.default.setItem(storageKey, JSON.stringify(data));
};
exports.updateAsync = updateAsync;
const clearAsync = async () => {
  return await _asyncStorage.default.clear();
};
exports.clearAsync = clearAsync;
//# sourceMappingURL=asyncStorage.js.map