import React from 'react';
import { View, StyleSheet } from 'react-native';
import { From, MessageTypes } from '../../../../../types/Message';
import { useChatConfigurations } from '../../../../../context/ChatConfigurations';
import MessageHour from '../components/MessageHour';
export default (MessageComponent => {
  const {
    botConfigs
  } = useChatConfigurations();
  const styles = StyleSheet.create({
    container: {
      marginTop: 16,
      borderTopRightRadius: 16,
      borderTopStartRadius: 16,
      maxWidth: 290,
      minWidth: 80,
      padding: 16,
      paddingBottom: 0
    },
    bot: {
      backgroundColor: botConfigs.colors.secondary,
      alignSelf: 'flex-start',
      borderBottomEndRadius: 16,
      borderBottomStartRadius: 4,
      marginLeft: 16
    },
    user: {
      backgroundColor: botConfigs.colors.main,
      alignSelf: 'flex-end',
      marginRight: 16,
      borderBottomEndRadius: 4,
      borderBottomStartRadius: 16
    }
  });
  const MessageWrapper = props => {
    const ballonStyle = props.from === From.BOT ? styles.bot : styles.user;
    return /*#__PURE__*/React.createElement(View, {
      style: [styles.container, ballonStyle]
    }, /*#__PURE__*/React.createElement(MessageComponent, props), props.type !== MessageTypes.TYPING && /*#__PURE__*/React.createElement(MessageHour, {
      msg: props
    }));
  };
  return MessageWrapper;
});
//# sourceMappingURL=wrapMessage.js.map